-- Notecase Pro sample script (requires Notecase Pro >= 3.1.3)
--
-- Description:
-- 	This is a basic test script, calls FileOpenDlg method to display the file selector window

-- make sure app version supports necessary scriptable program commands
nMaj, nMin, nRev = Nc_Config_GetAppVersion()
if (nMaj < 3 or (nMaj == 3 and nMin < 1) or (nMaj == 3 and nMin == 1 and nRev < 3)) then
	Nc_GUI_MessageBox("ERROR: Script requires NcPro version >= 3.1.3")
	return
end

-- Nc_GUI_FileDlg - Show file selector window
-- PARAMETER 1: 1 - file open dialog, 0 - file save dialog
filename = Nc_GUI_FileDlg(1)

-- display selection result
Nc_GUI_MessageBox("Selected file: " .. filename)
