-- Notecase Pro sample script (requires Notecase Pro >= 3.1.3)
--
-- Description:
-- test on inserting notes and editing its text

-- make sure app version supports necessary scriptable program commands
nMaj, nMin, nRev = Nc_Config_GetAppVersion()
if (nMaj < 3 or (nMaj == 3 and nMin < 1) or (nMaj == 3 and nMin == 1 and nRev < 3)) then
	Nc_GUI_MessageBox("ERROR: Script requires NcPro version >= 3.1.3")
	return
end

-- get info on the currently active document/note
nDocID = Nc_Doc_ID_GetCur()
strCurNoteID = Nc_Note_ID_GetCur(nDocID)

strID = Nc_Note_Insert(nDocID, strCurNoteID, -1, "Test")
Nc_Note_Insert(nDocID, strID, -1, "Test")
Nc_Note_Insert(nDocID, strCurNoteID, -1, "Test")
Nc_Note_Insert(nDocID, strCurNoteID, -1, "Test")
strID = Nc_Note_Insert(nDocID, strCurNoteID, -1, "Test")
Nc_Note_Content_Set(nDocID, strID, "<html>Test <a href=\"http://www.bug.hr\">hello</a></html>", 1)